#pragma once

#include "./Material.h"

class XObject
{
public:

	/// ctor
	XObject(void);

	/// dtor
	virtual ~XObject(void);

	/// this returns the ID number of the object
	unsigned int GetID() const {
		return m_ID;
	}

	void SetID(unsigned int id) {
		m_ID = id;
	}

	/// overload this to draw....
	virtual void gl(XMaterialList& mats) {}

protected:

	unsigned int m_ID;
};
