#include <windows.h>
#include <stdio.h>
#include <GL/glut.h>
#include "rawLoader.h"


unsigned int tex;

void init()
{
	//glClearColor(1,0,0,0);
}

void draw(void)
{
	glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
    glLoadIdentity();
	
	glBindTexture(GL_TEXTURE_2D,tex);

	glBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
	glEnable(GL_BLEND);

	glBegin(GL_QUADS);
		glTexCoord2f(0,0);
		glVertex2i(-50,-50);
		glTexCoord2f(1,0);
		glVertex2i(50,-50);
		glTexCoord2f(1,1);
		glVertex2i(50,50);
		glTexCoord2f(0,1);
		glVertex2i(-50,50);
	glEnd();

	glutSwapBuffers();
}

void resize(int w, int h)
{
	glViewport(0,0,w,h);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(-50,50,-50,50,-100,100);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

int main(int argc,char **argv)
{

	glutInit(&argc,argv);
	glutInitDisplayMode(GLUT_RGB|GLUT_DOUBLE|GLUT_DEPTH);

	glutInitWindowSize(640,480);
	glutInitWindowPosition(100,100);
	glutCreateWindow("Hello");

	glutDisplayFunc(draw);
	glutReshapeFunc(resize);


	glEnable(GL_DEPTH_TEST);
	glEnable(GL_TEXTURE_2D);

	tex = LoadTexture("image.tga");

	init();

	glutMainLoop();
}






