
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <math.h>
#include <GL/glut.h>
#include <list>
using namespace std;



struct mousey 
{
	int x, y;
};

list<mousey> List;



void draw()
{
	list<mousey>::iterator curr = List.end();

	glClear( GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT );

	glBegin (GL_LINE_STRIP);

	while (curr != List.begin())
	{
		glVertex2i(curr->x,curr->y);
		--curr;
	}

	glEnd();

	glutSwapBuffers();
}

void reshape(int w, int h)
{
	glViewport(0,0,w,h);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(0,w,h,0,-100,100);	
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

void mouse(int button,int state,int x,int y)
{
	// push
	if (button == GLUT_LEFT_BUTTON && state == GLUT_DOWN)
	{
		mousey newNode;
		newNode.x = x;
		newNode.y = y;
		List.push_front(newNode);
	}	
	if (button == GLUT_RIGHT_BUTTON && state == GLUT_DOWN)
	{
		List.pop_back();
	}
	glutPostRedisplay();
}

int main(int argc,char** argv)
{
	glutInit(&argc,argv);
	glutInitDisplayMode(GLUT_DEPTH|GLUT_RGBA|GLUT_DOUBLE);
	glutInitWindowSize(640,480);
	glutInitWindowPosition(100,100);

	glutCreateWindow("fred");

	glutDisplayFunc(draw);
	glutReshapeFunc(reshape);
	glutMouseFunc(mouse);


	glutMainLoop();
}













