#include <GL/glut.h>

void display(void)
{
	glClearColor(0.0,0.0,0.0,0.0); /* black */
	/* select the colour for clearing the window */
	/* setting projection */
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity(); /* identity matrix */
	/* set to orthographic projection */
	glOrtho(-15.0,15.0,-15.0,15.0,-15.0,15.0);
	 /* left, right, bottom, top, near, far */
	glClear(GL_COLOR_BUFFER_BIT); /* CLS */
	/* draw the objects */
	glMatrixMode(GL_MODELVIEW);
	/* translate and draw 1st object */
	glLoadIdentity(); /* identity matrix */
	/* position the camera */
	gluLookAt(0.0,11.5,0.0,
		0.0,0.0,0.0,
		0.0,0.0,1.0);

	glPushMatrix();
		glTranslated(-3.5,0.0,0.0);
		glutSolidCube(1);
	glPopMatrix();

	glPushMatrix();
		glTranslated(3.5,0.0,0.0);
		glutSolidCube(1);
	glPopMatrix();

	/* pos, lookAt, up */
	glutSwapBuffers(); /* force buffers onto screen */
}


void main(int argc,char *argv[])
{
	/* initialise GLUT */
	glutInit(&argc,argv);
	glutInitDisplayMode(GLUT_DOUBLE|GLUT_RGB);
	glutInitWindowSize(200,200);
	glutInitWindowPosition(50,50);
	glutCreateWindow("glut program");
	/* set display callback function */
	glutDisplayFunc(display);
	/* start program loop */
	glutMainLoop();
}