
#ifdef WIN32
#include<Windows.h>
#endif

#include <GL/glut.h>

#include "Model.h"

XModel model;

float rot = 0;

void Init() {
//	glEnable(GL_LIGHTING);
//	glEnable(GL_LIGHT0);
	glEnable(GL_DEPTH_TEST);
	model.Load("poo.mod");
}

void display()
{
	glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
	
	glLoadIdentity();

	gluLookAt(2,8,20,0,0,0,0,1,0);

	glPushMatrix();

		glRotatef(rot,0,1,0);

		model.gl();

	glPopMatrix();

	glutSwapBuffers();
}

void reshape(int x, int y)
{
	if(y==0) y = 1;
	glViewport(0,0,x,y);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluPerspective(45,(float)x/y,0.1,100);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

void idle()
{
	rot++;
	glutPostRedisplay();
}



int main(int argc,char** argv)
{
	glutInit(&argc,argv);
	glutInitDisplayMode(GLUT_DOUBLE|GLUT_RGBA|GLUT_DEPTH);
	glutInitWindowSize(640,480);
	glutInitWindowPosition(100,100);
	glutCreateWindow("hello");


	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutIdleFunc(idle);

	Init();

	glutMainLoop();
}

























