
#ifdef WIN32
#include<Windows.h>
#endif

#include <GL/glut.h>

#include "Model.h"

XModel model;
float rot = 0;

void Init() 
{
	glEnable(GL_DEPTH_TEST);
	model.Load("poop.mod");
}

void display()
{
	glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
	glLoadIdentity();
	gluLookAt(0,6,18,0,6,0,0,1,0);

	glPushMatrix();

		glRotatef(rot,0,1,0);
		model.gl();

	glPopMatrix();

	glutSwapBuffers();
}

void reshape(int x, int y)
{
	if(y==0) y = 1;
	glViewport(0,0,x,y);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	//glOrtho(-15,15,-15,15,-100,100);
	gluPerspective(45,(float)x/y,0.1,100);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

}

void idle()
{
	rot++;
	model.Update(0.002);
	glutPostRedisplay();
}



int main(int argc,char** argv)
{
	glutInit(&argc,argv);
	glutInitDisplayMode(GLUT_DOUBLE|GLUT_RGBA|GLUT_DEPTH);
	glutInitWindowSize(640,640);
	glutInitWindowPosition(100,100);
	glutCreateWindow("hello");


	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutIdleFunc(idle);

	Init();

	glutMainLoop();
}

























